> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get comment 

> Get record comment detail



## OpenAPI

````yaml /swagger.json get /comment/{tableId}/{recordId}/{commentId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /comment/{tableId}/{recordId}/{commentId}:
    get:
      tags:
        - comment
      description: Get record comment detail
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: recordId
          in: path
      responses:
        '200':
          description: Returns the record's comment detail
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    content:
                      type: array
                      items:
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - p
                              value:
                                nullable: true
                              children:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - span
                                        value:
                                          type: string
                                      required:
                                        - type
                                        - value
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - mention
                                        value:
                                          type: string
                                        name:
                                          type: string
                                        avatar:
                                          type: string
                                      required:
                                        - type
                                        - value
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - a
                                        value:
                                          nullable: true
                                        url:
                                          type: string
                                        title:
                                          type: string
                                      required:
                                        - type
                                        - url
                                        - title
                            required:
                              - type
                              - children
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - img
                              value:
                                nullable: true
                              path:
                                type: string
                              width:
                                type: number
                              url:
                                type: string
                            required:
                              - type
                              - path
                    createdBy:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        avatar:
                          type: string
                      required:
                        - id
                        - name
                    reaction:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          reaction:
                            type: string
                          user:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                avatar:
                                  type: string
                              required:
                                - id
                                - name
                        required:
                          - reaction
                          - user
                    createdTime:
                      type: string
                    lastModifiedTime:
                      type: string
                    quoteId:
                      type: string
                    deletedTime:
                      type: string
                  required:
                    - id
                    - content
                    - createdBy
                    - createdTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/comment/%7BtableId%7D/%7BrecordId%7D/%7BcommentId%7D",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````